<form (ngSubmit)="submit()">
  <input name="label" [(ngModel)]="label">
  <button type="submit">Add todo</button>
  <div *ngIf="isEdit">
    <input name="label" #title="ngModel" [ngModel]="todo.label">
    <button type="submit" (onClick)="save(title.value, todo.id)">Save</button>
  </div>
</form>
